Bug 7544 - ssh connection failure
: ssh connection failure
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: High normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-26 22:07 MSK by Mikhail Terekhov
Modified: 2016-11-28 15:11 MSK (History)
2 users (show)

See Also:
RPM Package: openssh-7.3p1-2-rosa2016.1
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Terekhov 2016-11-26 22:07:25 MSK
Description of problem:
openssh 7.3 introduced a bug for sshd when configured with --with-ssh1

Version-Release number of selected component (if applicable):
openssh-7.3p1-2-rosa2016.1

How reproducible:


Steps to Reproduce:
1. install rosa2016.1
2. enable sshd
3. in a terminal run journalctl -f
4. try to connect from another machine using ssh - will get connection refused
In the terminal (see 3.) will get:
Nov 26 12:26:44 rosa9 sshd[28083]: error: buffer_get_bignum_ret: incomplete message
Nov 26 12:26:44 rosa9 sshd[28083]: fatal: buffer_get_bignum: buffer error

The bug was reported here: 
http://www.gossamer-threads.com/lists/opensshdev/66323?do=post_view_threaded#66323

And fixed in this commit: 
https://anongit.mindrot.org/openssh.git/commit?id=e600348a7afd6325cc5cd783cb424065cbc20434
Comment 1 Eugene Shatokhin 2016-11-27 00:16:09 MSK
+1
Comment 2 Denis Silakov 2016-11-27 17:37:10 MSK
I've pushed openssh-7.3p1-3 with this patch to rosa2016.1 repos but haven't tested it. Feel free to take a look.
Comment 3 Mikhail Terekhov 2016-11-27 22:45:25 MSK
Теперь работает, спасибо!
Comment 4 Mikhail Terekhov 2016-11-27 22:52:29 MSK
Было бы неплохо, если бы после апдейта sshd рестартовал бы автоматически ...
Comment 5 Eugene Shatokhin 2016-11-28 11:59:29 MSK
(In reply to comment #2)
> I've pushed openssh-7.3p1-3 with this patch to rosa2016.1 repos but haven't
> tested it. Feel free to take a look.

Yes, that helped in my case too. Thanks!